dynamic_bitset File Reference

Go to the source code of this file.

## Classes

struct | std::tr2::__dynamic_bitset_base< _WordT, _Alloc >
class | std::tr2::dynamic_bitset< _WordT, _Alloc >
class | std::tr2::dynamic_bitset< _WordT, _Alloc >::reference

## Namespaces

| std
| std::tr2
| std::tr2::__detail

## Macros

#define | _GLIBCXX_TR2_DYNAMIC_BITSET

## Functions

template<typename _CharT , typename _Traits , typename _WordT , typename _Alloc >
std::basic_ostream< _CharT, _Traits > & | std::tr2::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const dynamic_bitset< _WordT, _Alloc > &__x)
template<typename _WordT , typename _Alloc >
bool | std::tr2::operator!= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
bool | std::tr2::operator<= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
bool | std::tr2::operator> (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
bool | std::tr2::operator>= (const dynamic_bitset< _WordT, _Alloc > &__lhs, const dynamic_bitset< _WordT, _Alloc > &__rhs)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | std::tr2::operator& (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | std::tr2::operator| (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | std::tr2::operator^ (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)
template<typename _WordT , typename _Alloc >
dynamic_bitset< _WordT, _Alloc > | std::tr2::operator- (const dynamic_bitset< _WordT, _Alloc > &__x, const dynamic_bitset< _WordT, _Alloc > &__y)

## Detailed Description

This is a TR2 C++ Library header.

Definition in file dynamic_bitset.